Subject: Re: [clue] Publishing CLUE protocol as Experimental?

From: "Roni Even (A)" <[email-masked]>
Date: Thu, 7 Feb 2019 05:58:16 +0000

Hi Steve,
Is this a problem, I assume that the documents will be an appendix in the ITU-T document.
Roni Even

From: clue [mailto:[email-masked]] On Behalf Of Stephen Botzko
Sent: Saturday, December 22, 2018 2:58 PM
To: Simon Pietro Romano
Cc: [email-masked]; [email-masked]; Adam Roach; Benjamin Kaduk
Subject: Re: [clue] Publishing CLUE protocol as Experimental?

This will have an impact on on-going work in the ITU-T.  The ITU-T telepresence group chose to use CLUE directly instead of developing a competing protocol, and they have several drafts which have been waiting for the IETF publication for some years now.

They cannot make normative references to an experimental RFC.  They'd either need to abandon their work, or directly incorporate CLUE into their recommendations.

Stephen

On Sat, Dec 22, 2018 at 5:07 AM Simon Pietro Romano <[email-masked]<mailto:[email-masked]>> wrote:
Hello everybody,

I’m perfectly fine with Benjamin’s and Ben’s proposal.

Cheers,

Simon

                                  _\\|//_
                               ( O-O )
      ~~~~~~~~~~~~~~~~~~~~~~o00~~(_)~~00o~~~~~~~~~~~~~~~~~~~~~~~~
                     Simon Pietro Romano
               Universita' di Napoli Federico II
                      Computer Engineering Department
             Phone: +39 081 7683823 -- Fax: +39 081 7683816
                                           e-mail: [email-masked]<mailto:[email-masked]>

    <<Molti mi dicono che lo scoraggiamento è l'alibi degli
    idioti. Ci rifletto un istante; e mi scoraggio>>. Magritte.
                                     oooO
       ~~~~~~~~~~~~~~~~~~~~~~~(   )~~~ Oooo~~~~~~~~~~~~~~~~~~~~~~~~~
                 \ (            (   )
                                  \_)          ) /
                                                                       (_/

Il giorno 22 dic 2018, alle ore 00:10, Adam Roach <[email-masked]<mailto:[email-masked]>> ha scritto:

CLUE working group and document authors:

During IESG evaluation, Benjamin and Ben raised some issues around the state machine design, timeouts, and interaction with the various SIP state machines. While these could probably be addressed by adding substantial new text and a handful of new states and supervisory timers to the CLUE state machines, as well as including additional detail about the interaction between such state machines and the SIP state machines, it's not clear to me that the CLUE working group has the kind of energy necessary for that kind of refinement at this point in its lifecycle.

An alternate path that both Ben and Benjamin would be okay with is publication of the protocol mechanism as Experimental rather than Standards Track, in order to allow the collection of operational experience around implementing and deploying the protocol with the state machines as specified. This would be sufficient to satisfy their concerns around the currently-defined state machine and would allow publication of the CLUE documents. (Note that, due to the relationship between clue-protocol, clue-signaling, and clue-datachannel, this would also result in the publication of clue-signaling and clue-datachannel as experimental.)

Recognizing that many people are out of the office during this time of year, I'd like to ask that anyone who has comments regarding the proposal to move the core CLUE documents to Experimental status respond before Friday, January 18th. Thanks.

/a

_______________________________________________
clue mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/clue